MagicWP Docs
Updates

Check several sites against WordPress.org now

POST
/v1/updates/check

Permission: wp.updates on each site named

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Request Body

application/json
  1. body
site_ids?array<>|

Sites to check. Omit for every site you own.

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/updates/check" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "queued": 0,    "rate_limited": 0  }}